﻿//  --------------------------------
//  Copyright (c) PK Logix LLC. All rights reserved.
//  This source code is made available under the terms of the GNU General Public License version 2 (GPLv2)
//  http://www.codeplex.com/mvcclubsite/license
//  ---------------------------------

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MVCClubSite.Model
{
    /// <summary>
    /// Business entity used to model an announcement
    /// </summary>
    public class Announcement
    {
        public int ID { get; set; }
        public DateTime AnnouncementDate { get; set; }
        public string Title { get; set; }
        public string Description { get; set; }
        public int ImageID { get; set; }
        public int AlbumID { get; set; }
        public Guid Author { get; set; }
    }
}
