﻿//  --------------------------------
//  Copyright (c) PK Logix LLC. All rights reserved.
//  This source code is made available under the terms of the GNU General Public License version 2 (GPLv2)
//  http://www.codeplex.com/mvcclubsite/license
//  ---------------------------------

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using MVCClubSite.Model;

namespace MVCClubSite.Tests
{
    [TestClass]
    public class AnnouncementsTests : TestBase
    {

        #region Announcements Service

        [TestMethod]
        public void AnnouncementsService_Can_Get_Announcements_From_Service()
        {
            Assert.IsTrue(_announcementsService.GetallAnnouncements().Count > 0);
        }

        #endregion

        #region Announcements Provider

        [TestMethod]
        public void AnnouncementsProvider_Provider_Is_Not_Null()
        {
            Assert.IsNotNull(_announcements);
        }

        #endregion

        #region Anouncements Model

        [TestMethod]
        public void AnnouncementModel_Can_New_Up_Announcement()
        {
            Announcement a = new Announcement();
            Assert.IsNotNull(a);
        }

        //[TestMethod]
        //public void AnnouncementsModel_Can_New_Up_Announcement_With_Values()
        //{
        //    DateTime testDate = DateTime.Now;
        //    Announcement a = new Announcement(1, "Title1", "Description1", 1, 1, new Guid(), testDate);
        //    Assert.AreEqual(a.ID, 1);
        //    Assert.AreEqual(a.Title, "Title1");
        //    Assert.AreEqual(a.Description, "Description1");
        //    Assert.AreEqual(a.ImageID, 1);
        //    Assert.AreEqual(a.AlbumID, 1);
        //    Assert.AreEqual(a.AnnouncementDate, testDate);
        //}

        #endregion


    }
}
