﻿//  --------------------------------
//  Copyright (c) PK Logix LLC. All rights reserved.
//  This source code is made available under the terms of the GNU General Public License version 2 (GPLv2)
//  http://www.codeplex.com/mvcclubsite/license
//  ---------------------------------

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using MVCClubSite.IDAL;
using MVCClubSite.BLL;
using MVCClubSite.TestDAL;

namespace MVCClubSite.Tests
{
    [TestClass]
    public class TestBase
    {
        protected IAnnouncements _announcements;
        protected AnnouncementsService _announcementsService;


        [TestInitialize]
        public void StartUp()
        {
            _announcements = new TestAnnouncementsData();
            _announcementsService = new AnnouncementsService(_announcements);
        }
    }
}
